metadata:
  id: bitfeed
  name:
    en: Bitfeed
  version: 0.1.0+bitfeed
  displayVersion: 2.3.4
  category:
    en: Explorers
  tagline:
    en: A live visualization of your node's mempool
  developers:
    Mononaut: https://monospace.live
  description:
    en: A self-hosted version of Bitfeed - the open source mempool & block visualizer available at https://bits.monospace.live. Watch as new transactions drop into your node's mempool, before being packaged into newly mined blocks. Monitor Bitcoin network activity, explore the composition of the latest block, or simply enjoy a soothing Bitcoin screensaver.
  dependencies:
  - bitcoind
  - tor
  - tor
  basePermissions:
  - bitcoin/access-rpc
  - bitcoin/access-zmq
  - builtin/network/cluster-egress
  - builtin/network/local-net
  - builtin/root
  - lnd/access-grpc
  - lnd/access-rest
  - tor/proxy-requests
  hasPermissions:
  - bitcoin/access-rpc
  - bitcoin/access-zmq
  - builtin/network/cluster-egress
  - builtin/network/local-net
  - builtin/root
  - lnd/access-grpc
  - lnd/access-rest
  - tor/proxy-requests
  exposesPermissions: []
  repos:
    Public: https://github.com/bitfeed-project/bitfeed
  support: https://github.com/bitfeed-project/bitfeed/issues
  gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
  icon: https://runcitadel.github.io/old-apps-gallery/bitfeed/icon.svg
  defaultPassword: null
  license: ''
  volumes: {}
  ports: []
  exportedData:
    bitcoin:
      info:
        rpc_accounts:
        - name: main
  runtime: AppYml
  allowedScopes:
  - User
  defaultScope: User
  storePlugins: []
  uiModule: null
  supportsIngress: true
  canBeProtected: true
  saasCompatibility: Unknown
  rawIngress: false
  postInstallRedirect: null
  components: []
  isCitadel: true
  preloadType: null
containers:
  api: !Deployment
    container:
      cap_add: []
      cap_drop: []
      command: null
      entrypoint: null
      environment:
        BITCOIN_HOST: !StringLike gateway.bitcoin.admin.nirvati
        BITCOIN_RPC_PASS: !StringLike 0e6d9c815d83f68aff81772967b4fcd5f9ba5fb53b0bc84d0cc300ccae01cc35
        BITCOIN_RPC_PORT: !StringLike '8332'
        BITCOIN_RPC_USER: !StringLike bitfeed-admin-main
        BITCOIN_ZMQ_RAWBLOCK_PORT: !StringLike '28332'
        BITCOIN_ZMQ_RAWTX_PORT: !StringLike '28333'
        BITCOIN_ZMQ_SEQUENCE_PORT: !StringLike '28335'
        PORT: !StringLike '3000'
        RPC_POOLS: !StringLike '3'
        RPC_POOL_SIZE: !StringLike '4'
      hostname: null
      image: ghcr.io/bitfeed-project/bitfeed-server:v2.3.4@sha256:e38a2e07389cf6d0c519e856291e535fdd10a1e50143d528c82bfe0baf06894f
      privileged: false
      restart: null
      stop_grace_period: 1m
      uid: 1000
      gid: 1000
      volumes:
      - !Host
        name: home-citadel-citadel-app-data-bitfeed-data
        host_path: /home/citadel/citadel/app-data/bitfeed/data
        mount_path: /app/data
        is_readonly: false
      working_dir: null
      shm_size: null
      ulimits: null
      host_network: false
      exposes:
        udp: []
        tcp: []
      fs_group: null
      service_account: null
      network_policy: null
      has_permissions: []
      additional_labels:
        uses-compat-layer: citadel
    middlewares: {}
  main: !Deployment
    container:
      cap_add: []
      cap_drop: []
      command: null
      entrypoint: null
      environment:
        BACKEND_HOST: !StringLike api.bitfeed.admin.nirvati
        BACKEND_PORT: !StringLike '3000'
        TARGET: !StringLike citadel
      hostname: null
      image: ghcr.io/bitfeed-project/bitfeed-client:v2.3.4@sha256:5d57477e69a789d547b1c6c441e0ff49e2f5ed46bf4b5ab9ca9f5403f385e926
      privileged: false
      restart: null
      stop_grace_period: 1m
      uid: null
      gid: null
      volumes: []
      working_dir: null
      shm_size: null
      ulimits: null
      host_network: false
      exposes:
        udp: []
        tcp: []
      fs_group: null
      service_account: null
      network_policy: null
      has_permissions: []
      additional_labels:
        uses-compat-layer: citadel
    middlewares: {}
services:
  api:
    target_container: api
    type: ClusterIp
    ports:
      udp: {}
      tcp: {}
    cluster_ip: None
    network_policy: null
  main:
    target_container: main
    type: ClusterIp
    ports:
      udp: {}
      tcp: {}
    cluster_ip: None
    network_policy: null
ingress:
- target_service: main
  target_ns: null
  target_app: null
  path_prefix: null
  target_port: 80
  type: Https
  enable_compression: true
  strip_prefix: false
  auth_exclude: false
  component: null
plugins: {}
secrets: []
custom_resources:
- app: tor
  plugin_id: onion-service
  definition:
    app-bitfeed:
      target_svc: main
      target_ns: null
      ports:
        80:
          target_svc: host-docker-internal
          target_ns: null
          target_port: 80
      insecure_single_hop: null
      store_name_in_secret:
        key: name
        name: onion-svc-app-bitfeed-name
app_network_policy:
  ingress:
    allow_world:
      allow: true
      allowed_ports: null
    allow_cluster:
      allow: false
      allowed_ports: null
    allow_same_ns:
      allow: true
      allowed_ports: null
    cidrs: []
    pods:
    - namespace: null
      app: null
      match_labels:
        uses-compat-layer: citadel
      allowed_ports: null
      all_namespaces: true
  egress:
    allow_cluster: false
    allow_same_ns: true
    allow_kube_api: false
    allow_world: true
    allow_local_net: true
    dns: null
    fqdns: []
    cidrs: []
    services: []
    pods:
    - namespace: null
      app: null
      match_labels:
        uses-compat-layer: citadel
      allowed_ports: null
      all_namespaces: true
other: []
